# Generated by Django 2.2.7 on 2020-10-26 13:46

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Questions',
            fields=[
                ('question', models.TextField()),
                ('option1', models.CharField(max_length=100)),
                ('option2', models.CharField(max_length=100)),
                ('option3', models.CharField(max_length=100)),
                ('option4', models.CharField(max_length=100)),
                ('answer', models.CharField(max_length=100)),
                ('type', models.CharField(default=1, max_length=10)),
                ('marks', models.IntegerField(default=1)),
                ('negative', models.FloatField(default=0, max_length=10)),
                ('explainations', models.TextField(default='No Explaination Given', max_length=1000)),
                ('questionId', models.AutoField(primary_key=True, serialize=False)),
                ('quizCode', models.CharField(default='Code', max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='quiz',
            fields=[
                ('quizId', models.AutoField(default=0, primary_key=True, serialize=False)),
                ('length', models.FloatField(max_length=10)),
                ('quizCode', models.CharField(default='Code', max_length=100)),
                ('quizDone', models.BooleanField(default=False)),
                ('quizInfo', models.CharField(default='No Info Available', max_length=100)),
                ('quizInstructor', models.CharField(default='No Name', max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='submission',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('option', models.CharField(max_length=100)),
                ('questionId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='quiz.Questions')),
                ('quizId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='quiz.quiz')),
                ('studentId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='questions',
            name='quizId',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='quiz.quiz'),
        ),
        migrations.CreateModel(
            name='cribs',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('studentId', models.CharField(max_length=100)),
                ('cribs', models.CharField(max_length=1000)),
                ('questionId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='quiz.Questions')),
                ('quizId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='quiz.quiz')),
            ],
        ),
    ]
